apiVersion: apps/v1
kind: Deployment
metadata:
  name: fusero-backend
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fusero-backend
  template:
    metadata:
       labels:
        app: fusero-backend
    spec:
      containers:
        - name: backend
          image: {{ .Values.backend.image }}
          imagePullPolicy: {{ .Values.global.imagePullPolicy }}
          ports:
            - containerPort: {{ .Values.backend.port }}
          env:
            {{- range $key, $val := .Values.backend.env }}
            - name: {{ $key }}
              value: "{{ $val }}"
            {{- end }}
